catalog:
  title: Image Component Library

templates:
- opensource-citec
- cmake-cpp
- base

variables:
  description: >-
    Image Component Library : C++ based vision processing framework
    (Dev Version Ubuntu Bionic)

  redmine-project: icl

  repository: https://github.com/iclcv/icl
  branches:
  - master

  timeout/minutes: 90

  extra-requires:
  - nature: setuptools
    target: rst
  - nature: cmake
    target: rsb-spread
  extra-provides:
  - nature: pkg-config
    target: icl
  - nature: pkg-config
    target: icl-${version-name}

  platform-requires:
    ubuntu:
      bionic:
        packages:
        - cmake
        - doxygen
        - python-sphinx
        - python-pyparsing
        - libjpeg-dev
        - libpng-dev
        - libopencv-dev
        - qtbase5-dev
        - qtmultimedia5-dev
        - libqt5opengl5-dev
        - libglew-dev
        - libprotobuf-dev
        - libeigen3-dev
        - intel-mkl-2018.3-051 
        - intel-ipp-2018.3-051
        - libmagick++-dev
        - libavcodec-dev
        - libavresample-dev
        - libavdevice-dev
        - libfreenect-dev
        - libxine2-dev
        - libusb-dev
        - libzmq5-dev
        - ocl-icd-opencl-dev
        - opencl-headers
        - libopenni-dev
        - libpcl-dev
        - libbullet-dev
        - udev
  cmake.options:
  - BUILD_WITH_OPENCV=ON
  - BUILD_WITH_QT=ON
  - BUILD_WITH_OPENGL=ON
  - BUILD_WITH_RSB=ON
  - BUILD_WITH_PROTOBUF=ON
  - BUILD_WITH_EIGEN3=ON
  - BUILD_WITH_IPP=ON
  - BUILD_WITH_MKL=ON
  - BUILD_WITH_IMAGEMAGICK=ON
  - BUILD_WITH_LIBAV=ON
  - BUILD_WITH_LIBDC=ON
  - BUILD_WITH_LIBFREENECT=ON
  - BUILD_WITH_LIBFREENECT2=ON
  - LIBFREENECT2_ROOT=\$prefix
  - BUILD_WITH_XINE=ON
  - BUILD_WITH_DL=ON
  - BUILD_WITH_V4L=ON
  - BUILD_WITH_LIBUSB=ON
  - BUILD_WITH_ZMQ=ON
  - BUILD_WITH_PYLON=ON
  - BUILD_WITH_OPENCL=ON
  - BUILD_WITH_OPENNI=ON
  - BUILD_WITH_PCL=ON
  - BUILD_WITH_BULLET=ON
  - BUILD_WITH_RST=ON
  - BUILD_WITH_RSC=ON
  - BUILD_WITH_XIAPI=ON
  - XIAPI_ROOT=\$prefix
  - BUILD_WITH_LIBIRIMAGER=ON
  - BUILD_WITH_LIBUDEV=ON
  - BUILD_EXAMPLES=ON
  - BUILD_DEMOS=ON
  - BUILD_APPS=ON
  - BUILD_TESTS=ON
  - CMAKE_BUILD_TYPE=Debug
  - ENABLE_OPENMP_BUILD_OPTION=ON
  - ENABLE_SSEFPMATH_BUILD_OPTION=ON
  - ENABLE_FASTMATH_BUILD_OPTION=ON
  - '@{next-value|[]}'
